## org.eclipse.jet.core.parser.ast
Class EmbeddedExpression

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTElement
          org.eclipse.jet.core.parser.ast.BodyElement
              org.eclipse.jet.core.parser.ast.EmbeddedExpression

    public class EmbeddedExpression

extends BodyElement

Represent an embedded expression in the template body

Constructor Summary
`protected` `EmbeddedExpression(JETAST ast, int line, int column, int start, int end, java.lang.String language, char[] content)`

Method Summary
`protected void` `accept0(JETASTVisitor visitor)` Visit the AST and its contained elements.
`java.lang.String` `getExpression()` Return the embedded Expression
`java.lang.String` `getLanguage()` Return the language of the embedded expression
`boolean` `removeLineWhenOtherwiseEmpty()` Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output.
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jet.core.parser.ast.JETASTElement
`accept, getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbeddedExpression

    protected EmbeddedExpression(JETAST ast,
                                 int line,
                                 int column,
                                 int start,
                                 int end,
                                 java.lang.String language,
                                 char[] content)

Method Detail

### accept0

    protected void accept0(JETASTVisitor visitor)

  Description copied from class: `JETASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept0` in class `JETASTElement`

### removeLineWhenOtherwiseEmpty

    public boolean removeLineWhenOtherwiseEmpty()

  Description copied from class: `JETASTElement`
  Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output. In general, elements that create output should return `false`, while element that do should should return `true`.

  Specified by:
    `removeLineWhenOtherwiseEmpty` in class `JETASTElement`
  Returns:
    `true` if the containing line should be removed if otherwise empty.

### getLanguage

    public final java.lang.String getLanguage()

  Return the language of the embedded expression

  Returns:
    the language a string

### getExpression

    public final java.lang.String getExpression()

  Return the embedded Expression

  Returns:
    the expression

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.